#11 fail2ban 0.6.0 dies: invalid literal for long()

closed-accepted
None
5
2006-03-16
2006-02-19
No

fail2ban often crashes here, it has never survived a
single whole ssh flood.

This is my system log output:

Feb 19 01:23:48 src@thelair sshd(pam_unix)[20961]:
check pass; user unknown
Feb 19 01:23:48 src@thelair sshd(pam_unix)[20961]:
authentication failure; logname= uid=0 euid=0 tty=ssh
ruser= rhost=195.26.34.19
Feb 19 01:23:50 src@thelair sshd[20961]: Failed
password for invalid user trevor from 195.26.34.19 port
35783 ssh2
Feb 19 01:23:52 src@thelair sshd[21244]: Invalid user
jade from 195.26.34.19
Feb 19 01:23:52 src@thelair sshd(pam_unix)[21244]:
check pass; user unknown
Feb 19 01:23:52 src@thelair sshd(pam_unix)[21244]:
authentication failure; logname= uid=0 euid=0 tty=ssh
ruser= rhost=195.26.34.19
Feb 19 01:23:54 src@thelair sshd[21244]: Failed
password for invalid user jade from 195.26.34.19 port
35793 ssh2
Feb 19 01:25:55 src@thelair fail2ban[11740]: ERROR:
Fail2Ban got an unhandled exception and died.
Feb 19 01:25:55 src@thelair fail2ban[11740]: ERROR:
Type: 'ValueError' Value: ('invalid literal for long():
24,',) TB: [('/usr/bin/fail2ban', 46, '?',
'fail2ban.main()'), ('/usr/lib/fail2ban/fail2ban.py',
453, 'main', 'e = element[1].getFailures()'),
('/usr/lib/fail2ban/logreader/logreader.py', 148,
'getFailures', 'if self.inIgnoreIPList(ip):'),
('/usr/lib/fail2ban/logreader/logreader.py', 78,
'inIgnoreIPList', 's[1] = long(s[1])')]
Feb 19 01:25:55 src@thelair fail2ban[11740]: WARNING:
Restoring firewall rules...

Discussion

  • Cyril Jaquier

    Cyril Jaquier - 2006-02-21
    • status: open --> open-accepted
     
  • Cyril Jaquier

    Cyril Jaquier - 2006-02-21

    Logged In: YES
    user_id=933467

    Hi,

    Could you check that the "ignoreip" option in
    /etc/fail2ban.conf is valid?

    Maybe try with:
    ignoreip =

    Thank you

     
  • Luke Skywalker

    Luke Skywalker - 2006-02-22

    Logged In: YES
    user_id=861633

    I'm using following:

    ignoreip = 192.168.??.0/24, 192.168.??.0/24

    Those are two private LANs the box is connected to.

    I tried running fail2ban with "ignoreip = " instead, I'll
    report back after next ssh attack flood.

     
  • Cyril Jaquier

    Cyril Jaquier - 2006-02-22

    Logged In: YES
    user_id=933467

    Hi,

    Could you remove the ',' in "ignoreip"?

    ignoreip = 192.168.??.0/24 192.168.??.0/24

    It should fix the issue ;)

     
  • Nobody/Anonymous

    Logged In: NO

    Yes, that works! Thanks and sorry for bothering. :) Keep up
    the good work!

     
  • Luke Skywalker

    Luke Skywalker - 2006-02-23

    Logged In: YES
    user_id=861633

    ...forgot to log in again

     
  • Nobody/Anonymous

    Logged In: NO

    i dont know if here is the right place to ask for
    but fail2ban doesn't work for me in fedora
    i had always:
    ERROR: Unable to get stat on /var/log/secure
    in /var/log/fail2ban.log

    please help me

     
  • Cyril Jaquier

    Cyril Jaquier - 2006-03-16
    • status: open-accepted --> closed-accepted
     

Log in to post a comment.